export declare function commentInPR(comment: string, pr_number: number, repo: string, owner?: string, stickyKind?: string): Promise<void>;
export declare function getPrLastCommitSHA(pull_number: number, repo: string, owner?: string): Promise<string>;
export declare function getPrMergeCommitSHA(pull_number: number, repo: string, owner?: string): Promise<string>;
export declare function divideCommentIntoChunks(comment: string, sizeReduction?: number): string[];
export declare function getPrFiles(pr_number: number, repo: string, owner?: string): Promise<any>;
declare function filterPrBy(filter: {
    title: string;
    state: 'open' | 'closed' | 'all';
    repo: string;
    owner: string;
    userType: 'Bot' | 'User';
}, opts: {
    maxRetries: number;
}): Promise<any>;
declare const _default: {
    commentInPR: typeof commentInPR;
    getPrLastCommitSHA: typeof getPrLastCommitSHA;
    getPrMergeCommitSHA: typeof getPrMergeCommitSHA;
    divideCommentIntoChunks: typeof divideCommentIntoChunks;
    getPrFiles: typeof getPrFiles;
    filterPrBy: typeof filterPrBy;
};
export default _default;
